Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Business Components Domains Java API Reference 10g Release 3 (10.1.3) B16006-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.domain
Class BFileDomain

`java.lang.Object
oracle.jbo.domain.BFileDomain`

All Implemented Interfaces:
  oracle.jbo.domain.BlobDomainInterface, oracle.jbo.domain.DomainInterface, oracle.jbo.domain.LobInterface, oracle.jbo.domain.LobStreamInterface, oracle.jbo.domain.MutableDomainInterface, java.io.Serializable

public class BFileDomain
extends java.lang.Object
implements oracle.jbo.domain.LobStreamInterface, java.io.Serializable

This class provides a lightweight wrapper for `oracle.sql.BFILE`, the Java representation of the BFILE database type. This wrapper allows an instance of the `oracle.sql.BFILE` to be used as a domain object.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`BFileDomain()` Constructor for this class.
`BFileDomain(oracle.sql.BFILE bFile)` Constructor for this class, given a BFILE object.
`BFileDomain(oracle.sql.BFILE bFile, byte[] bFileData)` Deprecated. since 9.0.4 BFile domains cannot be updated.
`BFileDomain(BFileDomain bFile, byte[] bFileData)` Deprecated. since 9.0.4 BFile domains cannot be updated.

Method Summary
`void` | `closeCharacterOutputStream()`
`void` | `closeCharacterStream()`
`void` | `closeFile()`
`void` | `closeInputStream()`
`void` | `closeOutputStream()`
`boolean` | `equals(java.lang.Object obj)` Converts all the data into a String and compares the two strings.
`java.io.Writer` | `getCharacterOutputStream()`
`java.io.Reader` | `getCharacterStream()`
`java.lang.Object` | `getData()` Internal: Applications should not use this method.
`java.io.InputStream` | `getInputStream()`
`static java.lang.reflect.Method` | `getInvokeDomainMethod()`
`java.io.OutputStream` | `getOutputStream()`
`oracle.jbo.domain.DomainOwnerInterface` | `getOwner()`
`int` | `getOwnerAttributeIndex()`
`protected oracle.jbo.domain.DomainOwnerInterface` | `getOwnerRow()`
`java.lang.String` | `getRemoteIdString()`
`long` | `getSize()`
`void` | `loadFromDatabase(oracle.jbo.Transaction xAct)` Internal: Applications should not use this method.
`void` | `openFile()`
`void` | `prepareForDML(java.lang.Object context)` Internal: Applications should not use this method.
`void` | `saveToDatabase(oracle.jbo.Transaction xAct)` Internal: Applications should not use this method.
`void` | `saveToDatabase(oracle.jbo.Transaction xAct, java.lang.Object emptySQLObject)` Internal: Applications should not use this method.
`void` | `setBytes(byte[] bFileData)` Deprecated. since 9.0.4 BFile domains cannot be updated.
`void` | `setContext(oracle.jbo.domain.DomainOwnerInterface owner, oracle.jbo.Transaction trans, java.lang.Object ctx)` Internal: Applications should not use this method.
`void` | `shareBFILE(BFileDomain newBFile)` Internal: Applications should not use this method.
`void` | `syncClientLob(oracle.jbo.domain.LobInterface oldObject)`
`void` | `syncServerLob(oracle.jbo.domain.LobInterface oldObj)`
`byte[]` | `toByteArray()` Returns the contents of this BFILE as a byte array.
`java.lang.String` | `toString()` For testing purposes only: returns the contents fo the BFILE as a string.
`void` | `useBFILE(oracle.sql.BFILE newBlob)` Internal: Applications should not use this method.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BFileDomain

    public BFileDomain()

  Constructor for this class.

### BFileDomain

    public BFileDomain(oracle.sql.BFILE bFile)

  Constructor for this class, given a BFILE object. This is for use by JDBC.
Parameters:
  `bFile` - name of a BFILE object.

### BFileDomain

    public BFileDomain(oracle.sql.BFILE bFile,
                       byte[] bFileData)

  Deprecated. since 9.0.4 BFile domains cannot be updated.
  Internal: Applications should not use this constructor.

  Creates an instance of this class with data as described in `bFileData` and using the transaction context from `bFile` to use the file-locator in the database.

Parameters:
  `bFile` - the name of the BFILE.
  `bFileData` - the data for the BFILE.

### BFileDomain

    public BFileDomain(BFileDomain bFile,
                       byte[] bFileData)

  Deprecated. since 9.0.4 BFile domains cannot be updated.
  Internal: Applications should not use this constructor. Creates an instance of this class with data as described in `bFileData` and using the transaction context from `bFile` to use the file-locator in the database.

  This constructor should be used by applications using the framework to create BFileDomain objects.

Parameters:
  `bFile` - the name of the BFILE.
  `bFileData` - the data forthe BFILE.

Method Detail

### shareBFILE

    public void shareBFILE(BFileDomain newBFile)

  Internal: Applications should not use this method.

  If this object does not have a transaction context, shares the transaction and BFILE locator from `newBfile`.

  Parameters:
    `newBFile` - name of the BFILE with which this BFILE will share its transaction and file locator information.

### useBFILE

    public void useBFILE(oracle.sql.BFILE newBlob)

  Internal: Applications should not use this method.

  If this object does not have a transaction context, shares the transaction and BFILE locator from `newBfile`.

  Parameters:
    `newBlob` - name of the BFILE with which this BFILE will share its transaction and BFILE locator information.

### setBytes

    public void setBytes(byte[] bFileData)
                  throws oracle.jbo.domain.DomainValidationException

  Deprecated. since 9.0.4 BFile domains cannot be updated.
  Internal: Applications should not use this method. Sets the file data for this object.
  Parameters:
    `bFileData` - the data used to fill the BFILE.
  Throws:
    `oracle.jbo.domain.DomainValidationException` - if domain creation fails.

### loadFromDatabase

    public void loadFromDatabase(oracle.jbo.Transaction xAct)
                          throws java.lang.Exception

  Internal: Applications should not use this method.

  Uses the given transaction context to load data from the database.

  Specified by:
    `loadFromDatabase` in interface `oracle.jbo.domain.BlobDomainInterface`
  Parameters:
    `xAct` - the name of the transaction to use.
  Throws:
    `java.lang.Exception`

### setContext

    public void setContext(oracle.jbo.domain.DomainOwnerInterface owner,
                           oracle.jbo.Transaction trans,
                           java.lang.Object ctx)

  Internal: Applications should not use this method.

  Sets the transaction context for this BFILE.

  Specified by:
    `setContext` in interface `oracle.jbo.domain.DomainInterface`

### getData

    public java.lang.Object getData()

  Internal: Applications should not use this method.

  Returns a `BFILE` that contains data for this object.

  Specified by:
    `getData` in interface `oracle.jbo.domain.DomainInterface`
  Returns:
    a BFILE as a `java.lang.Object`.

### saveToDatabase

    public void saveToDatabase(oracle.jbo.Transaction xAct)
                        throws java.lang.Exception

  Internal: Applications should not use this method.

  NOT IMPLEMENTED FOR 3.0 Uses the given transaction context to store data back into the database using the BFILE locator which should be set before this method is invoked.

  Specified by:
    `saveToDatabase` in interface `oracle.jbo.domain.BlobDomainInterface`
  Parameters:
    `xAct` - the name of the transaction.
  Throws:
    `java.lang.Exception`

### saveToDatabase

    public void saveToDatabase(oracle.jbo.Transaction xAct,
                               java.lang.Object emptySQLObject)
                        throws java.sql.SQLException

  Internal: Applications should not use this method.

  NOT IMPLEMENTED FOR 3.0 Uses the given transaction context to store data back into the database using the BFILE locator which should be set before this method is invoked.

  Specified by:
    `saveToDatabase` in interface `oracle.jbo.domain.BlobDomainInterface`
  Throws:
    `java.sql.SQLException`

### prepareForDML

    public void prepareForDML(java.lang.Object context)

  Internal: Applications should not use this method.
  Specified by:
    `prepareForDML` in interface `oracle.jbo.domain.BlobDomainInterface`

### toString

    public java.lang.String toString()

  For testing purposes only: returns the contents fo the BFILE as a string.
  Returns:
    the contents of the BFILE as a string.

### toByteArray

    public byte[] toByteArray()

  Returns the contents of this BFILE as a byte array.
  Returns:
    the contents of the BFILE as a byte array.

### equals

    public boolean equals(java.lang.Object obj)

  Converts all the data into a String and compares the two strings. This is a default implementation of equals which could be overridden to perform more scalable application-specific comparision.
  Parameters:
    `obj` - the object to compare to this BfileDomain.

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Specified by:
    `getOutputStream` in interface `oracle.jbo.domain.LobStreamInterface`

### closeOutputStream

    public void closeOutputStream()

  Specified by:
    `closeOutputStream` in interface `oracle.jbo.domain.LobStreamInterface`

### getInputStream

    public java.io.InputStream getInputStream()

  Specified by:
    `getInputStream` in interface `oracle.jbo.domain.LobStreamInterface`

### getCharacterStream

    public java.io.Reader getCharacterStream()

  Specified by:
    `getCharacterStream` in interface `oracle.jbo.domain.LobStreamInterface`

### getOwnerRow

    protected oracle.jbo.domain.DomainOwnerInterface getOwnerRow()

### getRemoteIdString

    public java.lang.String getRemoteIdString()

  Specified by:
    `getRemoteIdString` in interface `oracle.jbo.domain.LobInterface`

### syncServerLob

    public void syncServerLob(oracle.jbo.domain.LobInterface oldObj)

  Specified by:
    `syncServerLob` in interface `oracle.jbo.domain.LobInterface`

### syncClientLob

    public void syncClientLob(oracle.jbo.domain.LobInterface oldObject)

  Specified by:
    `syncClientLob` in interface `oracle.jbo.domain.LobInterface`

### getOwner

    public oracle.jbo.domain.DomainOwnerInterface getOwner()

  Specified by:
    `getOwner` in interface `oracle.jbo.domain.LobInterface`

### getSize

    public long getSize()

  Specified by:
    `getSize` in interface `oracle.jbo.domain.LobInterface`

### getOwnerAttributeIndex

    public int getOwnerAttributeIndex()

  Specified by:
    `getOwnerAttributeIndex` in interface `oracle.jbo.domain.LobInterface`

### openFile

    public void openFile()

### closeFile

    public void closeFile()

### getInvokeDomainMethod

    public static java.lang.reflect.Method getInvokeDomainMethod()

### closeInputStream

    public void closeInputStream()

  Specified by:
    `closeInputStream` in interface `oracle.jbo.domain.LobStreamInterface`

### closeCharacterStream

    public void closeCharacterStream()

  Specified by:
    `closeCharacterStream` in interface `oracle.jbo.domain.LobStreamInterface`

### getCharacterOutputStream

    public java.io.Writer getCharacterOutputStream()

  Specified by:
    `getCharacterOutputStream` in interface `oracle.jbo.domain.LobStreamInterface`

### closeCharacterOutputStream

    public void closeCharacterOutputStream()

  Specified by:
    `closeCharacterOutputStream` in interface `oracle.jbo.domain.LobStreamInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Business Components Domains Java API Reference 10g Release 3 (10.1.3) B16006-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.